> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# companyRegistration

> 
The `companyRegistration` API is used to register a company, collect key company details like business name and website, and create an admin user. This is the first step in the multi-step company onboarding process.

### What it does:

- Initializes a new company in the system
- Creates a default admin user with the details provided
- returns a unique `companyId` to be used in subsequent onboarding steps



## OpenAPI

````yaml post /companyOnboarding/companyRegistration
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /companyOnboarding/companyRegistration:
    post:
      tags: []
      summary: companyRegistration
      description: >-

        The `companyRegistration` API is used to register a company, collect key
        company details like business name and website, and create an admin
        user. This is the first step in the multi-step company onboarding
        process.


        ### What it does:


        - Initializes a new company in the system

        - Creates a default admin user with the details provided

        - returns a unique `companyId` to be used in subsequent onboarding steps
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  default: companyRegistration
                registration:
                  type: object
                  properties:
                    company:
                      type: string
                    firstName:
                      type: string
                    middleName:
                      type: string
                    lastName:
                      type: string
                    phoneNumber:
                      type: string
                    email:
                      type: string
                    businessWebsite:
                      type: string
                    doingBusinessAs:
                      type: string
                    isTermsAccepted:
                      type: boolean
                  required:
                    - company
                    - firstName
                    - lastName
                    - phoneNumber
                    - email
                    - isTermsAccepted
              required:
                - method
                - registration
            example:
              method: companyRegistration
              registration:
                company: BBR LLC
                firstName: Titus
                middleName: ''
                lastName: Davenport
                phoneNumber: '2652227589'
                email: titus067@mailsac.com
                businessWebsite: max.in
                doingBusinessAs: BBR
                isTermsAccepted: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  registration:
                    type: object
                    properties:
                      companyId:
                        type: string
                      businessUserId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - companyId
                      - businessUserId
                      - status
                      - message
                required:
                  - registration
              examples:
                '1':
                  summary: Success
                  value:
                    registration:
                      companyId: EC1F7FD4-8CBD-4A0A-8517-EF88DA80EB2B
                      businessUserId: AEAD072B-D659-4195-816D-CBA835F5E580
                      status: Registered
                      message: A company with name Prism is registered successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: First Name is mandatory and cannot be empty.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````